SCSI_BUILD_SENSE_BUF(9)

NAME
scsi_build_sense_buffer - build sense data in a buffer

SYNOPSIS

void scsi_build_sense_buffer(int desc, u8 * buf, u8 key, u8 asc, u8 ascq);

ARGUMENTS

desc
    Sense format (non zero == descriptor format, 0 == fixed format)

buf
    Where to build sense data

key
    Sense key

asc
    Additional sense code

ascq
    Additional sense code qualifier

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT